.booking-form__input.guests-input button {
	position: relative;
	width: 100%;
	background-color: #fff;
	text-overflow: ellipsis;
	font-size: 18px;
	-webkit-transition: border-color 0.2s ease;
	transition: border-color 0.2s ease;
	color: #1A141F;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	height: 50px;
	border: 0;
	text-align: right;
	padding: 0 12px;
}
.guests-input {
	position: relative;
  width:100%;
  margin: 0 auto;
  padding-top: 0px;
}
.guests-input button {
	cursor: pointer;
}
.date-picker-wrapper {
    z-index: 9999!important;
}
.availableStyle.last-date-selected {
    pointer-events: none;
}
/*.guests-input button:after,
.guests-input button:before {
	content: " ";
	width: 10px;
	height: 2px;
	border-radius: 2px;
	background-color: #484848;
	position: absolute;
	top: 19px
}
*/.guests-input button:before {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
	right: 15px
}
.guests-input button:after {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
	right: 21px
}
.guests-input button.open:before {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg)
}
.guests-input button.open:after {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg)
}
.guests-input__options {
	position: absolute;
	width: 100%;
	background-color: #fff;
	-webkit-box-shadow: rgba(72, 72, 72, 0.2) 0px 15px 20px;
	box-shadow: rgba(72, 72, 72, 0.2) 0px 15px 20px;
	border-radius: 2px;
	overflow: hidden;
	height: 0;
	opacity: 0;
	-webkit-transition: all .1s linear;
	transition: all .1s linear
}
.guests-input__options.open {
	opacity: 1;
	height: auto;
    margin-top: 58px;
	border: 1px solid rgba(134, 179, 181, 1);
}
.guests-input__options>div {
	padding: 24px 0 0;
	text-align: center
}
.guests-input__options>div:first-child {
	padding-top: 20px
}

.guests-input__ctrl {
	display: inline-block;
	border: 1px solid #484848;
	font-size: 20px;
	color: #484848;
	padding: 0px;
	line-height: 20px;
	border-radius: 2px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	-webkit-transition: all .2s ease;
	transition: all .2s ease;
	display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
    line-height: 0px;
    padding-bottom: 4px;
}
.guests-input__ctrl:hover {
    border: 1px solid rgba(134, 179, 181, 1);
    color: rgba(134, 179, 181, 1);
}
.guests-input__ctrl.disabled {
	color: #d8d8d8;
	border-color: #d8d8d8;
	cursor: default
}
.guests-input__value {
	display: inline-block;
	padding: 0 10px;
	width: 200px;
	cursor: default
}
.guests-input__value span {
	display: inline-block;
	padding-right: 5px
}
.option-list .option-items {
    padding-bottom: 19px;
}
#guests-input-btn-searchForm,#fchdates_search_form{background-color:transparent!important}
.home .rooms-search-form-wrap {background-color: rgba(255, 255, 255, 0.9);border-radius:8px}

.rooms-search-form-wrap {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    background-color:#FFFFFF;
    padding: 10px 20px;
      gap: 0px;
    justify-content: space-between;
}

.rooms-search-form-wrap > div {
    width: 37.2%;
}
.rooms-search-form-wrap > div.loadingImg {
    width: 27.2%;
}
.rooms-search-form-wrap > div.formgroup.submit-button {
/*     width: 24.2%; */
	 width: 22%;
}
.home .formgroup.dates_range input[type=text].startdate, .home .booking-form__input.guests-input button {
    background-color: rgba(255, 255, 255, 1)!important;
    font-size: 18px;
	padding-right: 37px;
}
.formgroup.dates_range input[type=text].startdate {
    border-left: 1px solid rgba(201, 201, 201, 1);
}



.rooms-search-form-wrap .formgroup.dates_range input[type=text].startdate:hover, .rooms-search-form-wrap .booking-form__input.guests-input button:hover, .rooms-search-form-wrap .booking-form__input.guests-input button:focus {
    color: rgba(0, 0, 0, 1)!important;
	background-color: rgba(246, 246, 246, 1);
}



.formgroup.dates_range input[type=text].startdate, 
.booking-form__input.guests-input button {
    background-color:#FFF!important;
	outline: none!important;
		padding-right: 37px!important;
}


.rooms-search-form-wrap [type=button]:focus, .rooms-search-form-wrap [type=submit]:focus, .rooms-search-form-wrap button:focus {
    outline: 0;
}

.formarea {
    background: rgba(255, 255, 255, 0.6);
    display: grid;
    grid-template-columns: 310px 310px 310px 310px 310px;
    gap: 13px;
    padding: 44px 0
}
.formgroup input[type=text] {
    width: 100%;
    height: 50px;
    font-size: 18px;
    color: #1A141F;
    background-color: #FFF;
    border: 0;
    font-weight: 400;
    padding: 0px 12px;
    box-sizing: border-box
}
.date-picker-wrapper .first-date-selected, .date-picker-wrapper .last-date-selected,.date-picker-wrapper .drp_top-bar .apply-btn{
	background:#DC6B4D!important;
}
.formgroup.dates_range input[type=text].startdate {
/*     float: right; */
    background: rgba(255, 255, 255, 1) url("../images/dates.svg") no-repeat 100% !important;
    background-size: 20px!important;
}
.booking-form__input.guests-input button {
/*     float: right; */
    background: rgba(246, 246, 246, 1) url("../images/users.svg") no-repeat 100%;
    background-size: 25px;
}
.formgroup select {
    width: 100%;
    height: 50px;
    font-size: 18px;
    color: #1A141F;
    background-color: #FFF;
    border: 0;
    font-weight: 400;
    padding: 12px;
    background-size: 11px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.formgroup input[type=button], .formgroup input[type=submit] {
    width: 100%;
    height: 50px;
    background: #9E9082;
    padding: 12px;
    color: #FFF;
    font-weight: 800;
    font-size: 18px;
    border: 0;
    cursor: pointer
}
	::placeholder {color: #1A141F;opacity: 1;}
	:-ms-input-placeholder {color: #1A141F;}
	::-ms-input-placeholder { olor: #1A141F;}

div#close_child_icon {
position: absolute;
    left: 15px;
    top: 8px;
    cursor: pointer;
    background-color: rgba(134, 179, 181, 1);
    color: #fff;
    font-size: 12px;
    padding: 0px;
    border-radius: 100px;
        width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}
div#close_child_icon img.emoji {
    width: 10px !important;
    height: auto !important;
}
#errorCont, #resultCont {
	position: absolute;
	width: 100%;
	bottom: 0;
	font-size: 16px;
	color: #F00;
	text-align: left;
	padding: 0 0 0 140px;
}
.loadingImg {
	position: absolute;
	left: 20px;
	margin: 10px 0 0;
}



/**********************************/
/* BOOKING FORM DETAIL PAGE LAYOUT 
/**********************************/
.rooms-booking-form-wrap {display: flex; flex-direction: row;flex-wrap: wrap;gap: 2%;justify-content: space-between; border-top:1px solid #D9D9D9; border-bottom:1px solid #D9D9D9; padding: 0 0 30px;}
.rooms-booking-form-wrap .formgroup {width: 47%; margin: 30px 0 0;}
.rooms-booking-form-wrap .formgroup.dates_range, .rooms-booking-form-wrap .formgroup.submit-button{ width: 100%;}
.single-product .rooms-booking-form-wrap .formgroup.submit-button a{ display: none}

.rooms-booking-form-wrap .formgroup button,
.rooms-booking-form-wrap .formgroup input[type=text]{border: 1px solid #4A1F0D!important; background: #FFF!important; color: #000!important; padding: 0 20px!important; font-size: 16px!important; font-weight: 400!important }

.rooms-booking-form-wrap .formgroup button {background: #FFF url("../images/down.svg") no-repeat 12px center!important;}

.rooms-booking-form-wrap .formgroup input[type=text]:focus{ outline: none;}


/****** Date Picker layout ****/ 
/*.single-product .date-picker-wrapper.no-shortcuts,*/
.date-picker-wrapper.no-shortcuts{ margin: 0!important; max-width: 560px; 	width: 100%; box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.25); border: 0!important }
.date-picker-wrapper .month-wrapper { width: 100%!important;}

.month-wrapper .gap,
.month-wrapper .dp-clearfix,
.month-wrapper .time{ display: none}

.date-picker-wrapper .month-wrapper table{  width: 49%!important}
.date-picker-wrapper .month-wrapper table.month2 { width: 49%!important; float: right!important;}

.date-picker-wrapper table tbody tr:hover > td, .date-picker-wrapper table tbody tr:hover > th{ background: none}
.date-picker-wrapper table tbody > tr:nth-child(2n+1) > td, .date-picker-wrapper table tbody > tr:nth-child(2n+1) > th{ background: none}

.date-picker-wrapper table td, 
.date-picker-wrapper table th { border: 0!important}

.date-picker-wrapper .month-wrapper table .day {
	padding: 10px 0!important;
}
.date-picker-wrapper .drp_top-bar .default-top {margin-right: 0!important; text-align: center;}
.date-picker-wrapper .drp_top-bar.normal .normal-top {text-align: center;}

.date-picker-wrapper .drp_top-bar .apply-btn.disabled {	background: #86B3B5!important;}
.guests-input__value {width: 140px;	font-size: 13px;}
/****** Date Picker layout ****/ 


.room-listing .formgroup.submit-button{ display: flex; gap:20px;}
.room-listing .formgroup.submit-button input[type="button"] {width: 167px;height: 42px;padding: 0;color: #FFF;font-weight: 600;font-size: 16px;	cursor: pointer;line-height: 42px;letter-spacing: 0.32px; }

.room-listing .formgroup.submit-button a {width: 167px;height: 42px; padding: 0;color: #BB8857;font-weight: 600;font-size: 16px;	cursor: pointer;line-height: 42px;letter-spacing: 0.32px; border: 1px solid #BB8857; text-align: center;}

/**********************************/
/* BOOKING FORM DETAIL PAGE LAYOUT 
/**********************************/

@media (max-width: 767px){
	.rooms-search-form-wrap > div {
  width: 100%;
    position: relative;
}
	.rooms-search-form-wrap > div.loadingImg {
    width: 100%;
}
	.rooms-search-form-wrap > div img {
    margin: 0 auto;
}
	.formgroup.dates_range input[type=text].startdate {
    border-left: 0px solid rgba(201, 201, 201, 1);
    border-bottom: 1px solid rgba(201, 201, 201, 1);
}
	.rooms-search-form-wrap > div.formgroup.submit-button {
    width: 100%;
}
	.guests-input__options.open {

    margin-top: 49px;
}
	
.date-picker-wrapper.no-shortcuts {	max-width: 95%!important;}	
.date-picker-wrapper .month-wrapper table{  width: 100%!important}
.date-picker-wrapper .month-wrapper table.month2 { width: 100%!important; }
.rooms-booking-form-wrap .formgroup {width: 100%;margin: 10px 0 0;}
.formgroup.dates_range input[type=text].startdate, .booking-form__input.guests-input button {font-size:12px!important;}
}
.single-product div#close_child_icon {
    left: 7px;
    top: 3px;
}
.single-product .guests-input__options>div {
    padding: 34px 0 0;
}